/* global jQuery */
(function($){
  'use strict';

  function fixFlexsliderHeight() {
    // Set fixed height based on the tallest slide
    $('.kw-slideshow').each(function(){
      var sliderHeight = 0;
      $(this).find('.kw-slideshow__slides > li').each(function(){
        var slideHeight = $(this).height();
        if (sliderHeight < slideHeight) {
          sliderHeight = slideHeight;
        }
      });
      $(this).find('.kw-slide').css({'height': sliderHeight});
    });
  }

  if (jQuery().flexslider) {
    $('.kw-slideshow').flexslider({
      controlNav: false,
      selector: '.kw-slideshow__slides > li',
      animation: 'slide'
    });

    $(window).load(function() {
        fixFlexsliderHeight();
    });

    $(window).resize(function() {
        fixFlexsliderHeight();
    });
  }

  $('.js-popup-toggle').on('click', function(ev){
    var $popup = $(this).parent();
    ev.preventDefault();

    $('.kw-popup__content').slideToggle();
    $popup.toggleClass('is-open');

    $('.kw-wrap').toggleClass('has-popup');
  });

  if (jQuery().placeholder) {
    $('input').placeholder();
  }

  $('.js-accordion-group').each(function(){
    var $accordionGroup = $(this),
        $accordions = $('article', $accordionGroup);

    $accordions.each(function(){
      var $accordion = $(this),
          $accordionContent = $('.kw-accordion__content', $accordion);

      $('h2', $accordion).on('click', function(ev){
        var isOpen = $accordion.hasClass('is-open');
        ev.preventDefault();

        $('.kw-accordion.is-open').removeClass('is-open').find('.kw-accordion__content').slideUp();

        if (!isOpen) {
          $accordionContent.slideDown();
          $accordion.addClass('is-open');
        } else {
          $accordionContent.slideUp();
        }
      });
    });
  });

  $('.js-toggle').on('click', function(ev){
    ev.preventDefault();

    $('.kw-menu').slideToggle();
  });

})(jQuery);
